Bug 1462740 - New Package: python-kuryr-tests-tempest
New Package: python-kuryr-tests-tempest
Status: ASSIGNED
Product: RDO
Classification: Community
Component: Package Review (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: trunk
Assigned To: Chandan Kumar
hguemar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 08:46 EDT by Daniel Mellado
Modified: 2017-06-22 07:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chkumar: rdo‑review+


Attachments (Terms of Use)

  None (edit)
Description Daniel Mellado 2017-06-19 08:46:32 EDT
Description of problem:

Kuryr-tempest-plugin is being added upstream. I've a preliminary spec here:

https://github.com/danielmellado/kuryr-tempest-plugin-distgit/blob/rpm-master/python-kuryr-tests-tempest.spec
Comment 1 Javier Peña 2017-06-19 10:55:04 EDT
Initial licensecheck output:

$ licensecheck -r .
./.gitreview: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./kuryr_tempest_plugin/README.rst: *No copyright* UNKNOWN
./kuryr_tempest_plugin/config.py: Apache (v2.0)
./kuryr_tempest_plugin/plugin.py: Apache (v2.0)
./kuryr_tempest_plugin/tests/base.py: Apache (v2.0)
./kuryr_tempest_plugin/tests/test_kuryr_tempest_plugin.py: Apache (v2.0)
./kuryr_tempest_plugin/tests/test_pods.py: Apache (v2.0)

The project is licensed using the Apache 2.0 License. Looking at the git history, it was created using cookiecutter.
Comment 2 Daniel Mellado 2017-06-22 05:47:49 EDT
I've submitted and modified the spec at https://review.rdoproject.org/r/#/c/7147/9 so pls use that one for the review.

https://review.rdoproject.org/r/changes/7147/revisions/0a6bf4194a5fe117f5517996297e85815940f66a/archive?format=txz
Comment 4 Chandan Kumar 2017-06-22 07:58:59 EDT
It is a formal package Review. It looks good.
Changelog error can be ignored as we used DLRN generated srpm.

So, This package is APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 1 files have unknown
     license. Detailed output of licensecheck in /home/vagrant/reviews
     /python-kuryr-tests-tempest/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Package contains desktop file if it is a GUI application.
[!]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[!]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -kuryr-tests-tempest , python-kuryr-tests-tempest-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[!]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.1.1.dev1
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-kuryr-tests-tempest-0.1.1-0.20170622090808.1a142e9.el7.centos.noarch.rpm
          python-kuryr-tests-tempest-doc-0.1.1-0.20170622090808.1a142e9.el7.centos.noarch.rpm
          python-kuryr-tests-tempest-0.1.1-0.20170622090808.1a142e9.el7.centos.src.rpm
python2-kuryr-tests-tempest.noarch: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python2-kuryr-tests-tempest.noarch: E: no-changelogname-tag
python-kuryr-tests-tempest-doc.noarch: W: summary-not-capitalized C python-kuryr-tests-tempest documentation
python-kuryr-tests-tempest-doc.noarch: E: no-changelogname-tag
python-kuryr-tests-tempest.src: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python-kuryr-tests-tempest.src: E: no-changelogname-tag
python-kuryr-tests-tempest.src: W: invalid-url Source0: kuryr-tempest-plugin-0.1.1.dev1-0.20170622090808.1a142e9.tar.gz
3 packages and 0 specfiles checked; 5 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python-kuryr-tests-tempest-doc.noarch: W: summary-not-capitalized C python-kuryr-tests-tempest documentation
python-kuryr-tests-tempest-doc.noarch: E: no-changelogname-tag
python2-kuryr-tests-tempest.noarch: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python2-kuryr-tests-tempest.noarch: E: no-changelogname-tag
2 packages and 0 specfiles checked; 3 errors, 1 warnings.



Requires
--------
python-kuryr-tests-tempest-doc (rpmlib, GLIBC filtered):

python2-kuryr-tests-tempest (rpmlib, GLIBC filtered):
    python(abi)
    python-kubernetes
    python-os-testr
    python-oslotest
    python-pbr
    python-setuptools
    python-six
    python-tempest
    python-testrepository
    python-testtools



Provides
--------
python-kuryr-tests-tempest-doc:
    python-kuryr-tests-tempest-doc

python2-kuryr-tests-tempest:
    python-kuryr-tests-tempest
    python2-kuryr-tests-tempest



Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -m dlrn-master -r -b 1462740
Buildroot used: dlrn-master
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Note You need to log in before you can comment on or make changes to this bug.